# Edit the features

| **Description** | Edit features of a vector layer.                        |
| --------------- | ------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/feature` |
| **Method**      | PATCH                                                   |

### Access Level Rules

| **Minimum Access Level** | edit+ or creator of the feature |
| ------------------------ | ------------------------------- |

### Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="424">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp for which to edit features.</td><td>true</td><td></td></tr><tr><td><code>changes</code></td><td>An array of JSONs, with each JSON containing the property "featureId" and at least one of the properties "newProperties" or "newGeometry",  where "featureId" is the id of the feature to edit, "newProperties" is a JSON containing the new properties of the feature and "newGeometry" is a GeoJSON geometry.</td><td>true</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/edit-the-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
